OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKXmlL
XmlMDF

# XmlMDF_DataMapNodeOfTypeADriverMap Class Reference

`#include <XmlMDF_DataMapNodeOfTypeADriverMap.hxx>`

## Public Member Functions
| XmlMDF_DataMapNodeOfTypeADriverMap (const Handle(Standard_Type)&K, const Handle(XmlMDF_ADriver)&I, const TCollection_MapNodePtr &n)
Handle_Standard_Type & | Key () const
Handle_XmlMDF_ADriver & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_Standard_Type | myKey
Handle_XmlMDF_ADriver | myValue

## Constructor & Destructor Documentation

XmlMDF_DataMapNodeOfTypeADriverMap::XmlMDF_DataMapNodeOfTypeADriverMap | ( | const Handle(Standard_Type)& | K,
|  | const Handle(XmlMDF_ADriver)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const XmlMDF_DataMapNodeOfTypeADriverMap::Handle | ( | Standard_Type |  | ) | const

Handle_Standard_Type& XmlMDF_DataMapNodeOfTypeADriverMap::Key | ( |  | ) | const

Handle_XmlMDF_ADriver& XmlMDF_DataMapNodeOfTypeADriverMap::Value | ( |  | ) | const

## Field Documentation

Handle_Standard_Type XmlMDF_DataMapNodeOfTypeADriverMap::myKey`[private]`

Handle_XmlMDF_ADriver XmlMDF_DataMapNodeOfTypeADriverMap::myValue`[private]`

The documentation for this class was generated from the following file:

- XmlMDF_DataMapNodeOfTypeADriverMap.hxx